/* FichothequeLib_API - Copyright (c) 2021-2025 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.history;

import net.fichotheque.junction.JunctionKey;


/**
 *
 * @author Vincent Calame
 */
public interface JunctionHistory {

    public JunctionKey getJunctionKey();

    public HistoryUnit getJunctionUnit();

    public default boolean isDeleted() {
        return getJunctionUnit().isDeleted();
    }

}
